# Amplifier Properties

## Functions
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_lib_props (TECELLA_LIB_PROPS *props)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_hw_props (TECELLA_HNDL h, TECELLA_HW_PROPS *props)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_hw_props_ex_01 (TECELLA_HNDL h, TECELLA_HW_PROPS_EX_01 *props)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_reg_props (TECELLA_HNDL h, TECELLA_REGISTER r, TECELLA_REG_PROPS *props)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_gain_label (TECELLA_HNDL h, int gain_index, const wchar_t **label)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_gain1_label (TECELLA_HNDL h, int gain_index, const wchar_t **label)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_gain2_label (TECELLA_HNDL h, int gain_index, const wchar_t **label)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_source_label (TECELLA_HNDL h, int source_index, const wchar_t **label)
DLLEXPORT TECELLA_ERRNUM CALL | tecella_get_slew_label (TECELLA_HNDL h, int slew_index, const wchar_t **label)

## Detailed Description

These functions allow you to get various properties of the library and amplifier. For example: version numbers, channel counts, compensation ranges/step-sizes/units, and display labels.

The amplifier's properties can change, so these functions should be called after tecella_initialize() and whenever you change the amplifier configuration via tecella_user_config_set().

## Function Documentation

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_gain1_label | ( | TECELLA_HNDL | h,
|  | int | gain_index,
|  | const wchar_t ** | label |
| ) |  |  |

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_gain2_label | ( | TECELLA_HNDL | h,
|  | int | gain_index,
|  | const wchar_t ** | label |
| ) |  |  |

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_gain_label | ( | TECELLA_HNDL | h,
|  | int | gain_index,
|  | const wchar_t ** | label |
| ) |  |  |

Retreives a label for a specific gain choice for use in a GUI. This will provide more useful information to the user about which gain is currently selected specific to their device.

Parameters:

  | h | A handle to an initialized device.
  | gain_index | The gain choice.
  | label | A return argument for the label string.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_hw_props | ( | TECELLA_HNDL | h,
|  | TECELLA_HW_PROPS * | props |
| ) |  |  |

Retreives properties of the amplifier.

Parameters:

  | h | A handle to an initialized device.
  | props | A pointer to the hardware/firmware properties.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_hw_props_ex_01 | ( | TECELLA_HNDL | h,
|  | TECELLA_HW_PROPS_EX_01 * | props |
| ) |  |  |

Retreives the extended properties of the amplifier.

Parameters:

  | h | A handle to an initialized device.
  | props | A pointer to the extended hardware/firmware properties.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_lib_props | ( | TECELLA_LIB_PROPS * | props | ) |

Retreives the current version of the DLL being used.

Parameters:

  | props | A pointer to the library properties.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_reg_props | ( | TECELLA_HNDL | h,
|  | TECELLA_REGISTER | r,
|  | TECELLA_REG_PROPS * | props |
| ) |  |  |

Retreives properties of the requested register for a given device.

Parameters:

  | h | A handle to an initialized device.
  | r | The register we'd like the properties of.
  | props | A pointer to the register properties.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_slew_label | ( | TECELLA_HNDL | h,
|  | int | slew_index,
|  | const wchar_t ** | label |
| ) |  |  |

Retreives a label for the specified slew choice. This will provide more useful information to the user about which slew is selected specific to their device.

Parameters:

  | h | A handle to an initialized device.
  | slew_index | The slew choice.
  | label | A return argument for the label string.

DLLEXPORT TECELLA_ERRNUM CALL tecella_get_source_label | ( | TECELLA_HNDL | h,
|  | int | source_index,
|  | const wchar_t ** | label |
| ) |  |  |

Retreives a label for a specific source choice for use in a GUI. This will provide more useful information to the user about which source is selected specific to their device.

Parameters:

  | h | A handle to an initialized device.
  | source_index | The gain choice.
  | label | A return argument for the label string.